curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/timeline/{scaler_id}/?year=2026&month=6&project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/timeline/{scaler_id}/", params={"year": "2026", "month": "6", "project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/timeline/{scaler_id}/");url.search = new URLSearchParams({ year: "2026", month: "6", project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the audited user-action timeline for the group for a given month - who performed which management action (START, STOP, RESIZE, ATTACH_SG, ATTACH_VPC, ATTACH_PUBLIC_IP, UPDATE_POLICY, LAUNCH, and so on), when, from which client IP, and whether it succeeded. Filter with the required year and month query parameters.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The id of the auto scaling group, as returned by List.
Example
12345Query Parameters
Section titled “Query Parameters”Four-digit year to filter the timeline by.
Example
2026Month (1-12) to filter the timeline by.
Example
6Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request.
Example
<API_KEY>Region of the group.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Audited user-action timeline for the group for the requested month.
object
object
object
Example
{ "code": 200, "data": [ { "timestamp": "Jan 15, 2026 09:37:01 AM", "event": "ATTACH_SG", "client_ip": "203.0.113.10", "details": "ATTACH_SG(allow_all_traffic_delhi) performed on AutoScale Group web-autoscale-group", "operation_performed_by": "user@example.com", "performer_type": "primary_user", "performer_name": "Example User", "status": true } ], "message": "Success"}